#pragma once
#include "uefi.h"

void ioapic_init(uint64_t ioapic_base, uint32_t gsi_base);
void ioapic_mask_irq(int irq);
void ioapic_unmask_irq(int irq);
void ioapic_redirect_irq(int irq, int vector, uint64_t flags);
